Partager via


Solutions Discoverability - List

Obtenez la liste des solutions Data Manager for Agriculture.

GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?api-version=2023-06-01-preview
GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?farmBeatsSolutionIds={farmBeatsSolutionIds}&farmBeatsSolutionNames={farmBeatsSolutionNames}&$maxPageSize={$maxPageSize}&api-version=2023-06-01-preview

Paramètres URI

Nom Dans Obligatoire Type Description
api-version
query True

string

minLength: 1

Version de l’API à utiliser pour cette opération.

$maxPageSize
query

integer (int32)

minimum: 10
maximum: 1000

Nombre maximal d’éléments nécessaires (inclus). Minimum = 10, Maximum = 1000, Valeur par défaut = 50.

farmBeatsSolutionIds
query

string[]

Ids de Data Manager For Agriculture Solutions que le client demande à récupérer.

farmBeatsSolutionNames
query

string[]

Noms de Data Manager for Agriculture Solutions que le client demande à récupérer.

Réponses

Nom Type Description
200 OK

DataManagerForAgricultureSolutionListResponse

Succès

Other Status Codes

ErrorResponse

Erreur

Sécurité

azure_auth

Flux OAuth2 Azure Active Directory.

Type: oauth2
Flux: implicit
URL d’autorisation: https://login.microsoftonline.com/common/oauth2/authorize

Étendues

Nom Description
user_impersonation emprunter l’identité de votre compte d’utilisateur

Exemples

SolutionsDiscoverability_List

Exemple de requête

GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?api-version=2023-06-01-preview

Exemple de réponse

{
  "value": [
    {
      "id": "/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions/bayerAgPowered.gdu",
      "type": "Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions",
      "systemData": {
        "createdAt": "2022-07-25T10:15:15Z",
        "lastModifiedAt": "2022-07-25T10:15:15Z"
      },
      "properties": {
        "partnerId": "abc",
        "partnerTenantId": "556b0c04-d33e-48d0-9f6f-f893c8c77e00",
        "dataAccessScopes": [
          "string"
        ],
        "marketplaceOfferDetails": {
          "saasOfferId": "saasOfferId",
          "publisherId": "publisherId"
        },
        "openApiSpecsDictionary": {
          "v1": {
            "paths": {
              "/v1/resources/{resourceId}": {
                "get": {
                  "tags": [
                    "Weather"
                  ],
                  "description": "Get weather ingestion job.",
                  "operationId": "Weather_GetDataIngestionJobDetails",
                  "produces": [
                    "application/json"
                  ],
                  "parameters": [
                    {
                      "in": "path",
                      "name": "resourceId",
                      "description": "Id of the job.",
                      "required": true,
                      "type": "string"
                    },
                    {
                      "in": "query",
                      "name": "api-version",
                      "description": "The requested API version",
                      "required": true,
                      "type": "string",
                      "default": "2021-07-31-preview"
                    }
                  ],
                  "responses": {
                    "200": {
                      "description": "Success",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    },
                    "default": {
                      "description": "Error",
                      "schema": {
                        "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                        "type": "object",
                        "properties": {
                          "error": {
                            "description": "An error from the Azure AgPlatform service.",
                            "type": "object",
                            "properties": {
                              "code": {
                                "description": "Server-defined set of error codes.",
                                "type": "string"
                              },
                              "message": {
                                "description": "Human-readable representation of the error.",
                                "type": "string"
                              },
                              "target": {
                                "description": "Target of the error.",
                                "type": "string"
                              },
                              "details": {
                                "description": "Array of details about specific errors that led to this reported error.",
                                "type": "array"
                              }
                            }
                          },
                          "traceId": {
                            "description": "Unique trace Id.",
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "put": {
                  "tags": [
                    "Weather"
                  ],
                  "description": "Create a weather data ingestion job.",
                  "operationId": "Weather_CreateDataIngestionJob",
                  "consumes": [
                    "application/json"
                  ],
                  "produces": [
                    "application/json"
                  ],
                  "parameters": [
                    {
                      "in": "path",
                      "name": "resourceId",
                      "description": "Job id supplied by user.",
                      "required": true,
                      "type": "string"
                    },
                    {
                      "in": "query",
                      "name": "api-version",
                      "description": "The requested API version",
                      "required": true,
                      "type": "string",
                      "default": "2021-07-31-preview"
                    },
                    {
                      "in": "body",
                      "name": "body",
                      "description": "Job parameters supplied by user.",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    }
                  ],
                  "responses": {
                    "202": {
                      "description": "Success",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    },
                    "default": {
                      "description": "Error",
                      "schema": {
                        "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                        "type": "object",
                        "properties": {
                          "error": {
                            "description": "An error from the Azure AgPlatform service.",
                            "type": "object",
                            "properties": {
                              "code": {
                                "description": "Server-defined set of error codes.",
                                "type": "string"
                              },
                              "message": {
                                "description": "Human-readable representation of the error.",
                                "type": "string"
                              },
                              "target": {
                                "description": "Target of the error.",
                                "type": "string"
                              },
                              "details": {
                                "description": "Array of details about specific errors that led to this reported error.",
                                "type": "array"
                              }
                            }
                          },
                          "traceId": {
                            "description": "Unique trace Id.",
                            "type": "string"
                          }
                        }
                      }
                    }
                  },
                  "x-ms-long-running-operation": true,
                  "x-ms-long-running-operation-options": {
                    "final-state-via": "location"
                  }
                }
              }
            },
            "basePath": "/",
            "definitions": {
              "WeatherDataIngestionJob": {
                "description": "Schema of weather ingestion job.",
                "required": [
                  "boundaryId",
                  "extensionApiInput",
                  "extensionApiName",
                  "extensionId",
                  "farmerId"
                ],
                "type": "object",
                "properties": {
                  "boundaryId": {
                    "description": "The id of the boundary object for which weather data is being fetched.",
                    "type": "string"
                  },
                  "farmerId": {
                    "description": "The id of the farmer object for which weather data is being fetched.",
                    "type": "string"
                  },
                  "extensionId": {
                    "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                    "maxLength": 100,
                    "minLength": 2,
                    "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                    "type": "string"
                  },
                  "extensionApiName": {
                    "description": "Extension api name to which request is to be made.",
                    "maxLength": 100,
                    "minLength": 2,
                    "type": "string"
                  },
                  "extensionApiInput": {
                    "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                    "type": "object",
                    "additionalProperties": {
                      "type": "object"
                    }
                  },
                  "extensionDataProviderAppId": {
                    "description": "App id of the weather data provider.",
                    "maxLength": 200,
                    "minLength": 2,
                    "type": "string"
                  },
                  "extensionDataProviderApiKey": {
                    "description": "Api key of the weather data provider.",
                    "maxLength": 200,
                    "minLength": 2,
                    "type": "string"
                  },
                  "id": {
                    "description": "Unique job id.",
                    "type": "string",
                    "readOnly": true
                  },
                  "status": {
                    "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                    "type": "string",
                    "readOnly": true
                  },
                  "durationInSeconds": {
                    "format": "double",
                    "description": "Duration of the job in seconds.",
                    "type": "number",
                    "readOnly": true
                  },
                  "message": {
                    "description": "Status message to capture more details of the job.",
                    "type": "string",
                    "readOnly": true
                  },
                  "createdDateTime": {
                    "format": "date-time",
                    "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "lastActionDateTime": {
                    "format": "date-time",
                    "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "startTime": {
                    "format": "date-time",
                    "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "endTime": {
                    "format": "date-time",
                    "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "name": {
                    "description": "Name to identify resource.",
                    "maxLength": 100,
                    "minLength": 0,
                    "type": "string"
                  },
                  "description": {
                    "description": "Textual description of the resource.",
                    "maxLength": 500,
                    "minLength": 0,
                    "type": "string"
                  },
                  "properties": {
                    "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                    "type": "object",
                    "additionalProperties": {
                      "type": "object"
                    },
                    "example": {
                      "key1": "value1",
                      "key2": 123.45
                    }
                  }
                },
                "additionalProperties": {}
              },
              "ErrorResponse": {
                "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                "type": "object",
                "properties": {
                  "error": {
                    "description": "An error from the Azure AgPlatform service.",
                    "type": "object",
                    "properties": {
                      "code": {
                        "description": "Server-defined set of error codes.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Human-readable representation of the error.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Target of the error.",
                        "type": "string"
                      },
                      "details": {
                        "description": "Array of details about specific errors that led to this reported error.",
                        "type": "array"
                      }
                    }
                  },
                  "traceId": {
                    "description": "Unique trace Id.",
                    "type": "string"
                  }
                }
              },
              "InnerError": {
                "description": "Inner error containing list of errors.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object\">InnerError reference document</see>.",
                "type": "object",
                "properties": {
                  "code": {
                    "description": "Specific error code than was provided by the\r\ncontaining error.",
                    "type": "string"
                  }
                },
                "additionalProperties": {
                  "type": "object"
                }
              },
              "Error": {
                "description": "An error from the Azure AgPlatform service.",
                "type": "object",
                "properties": {
                  "code": {
                    "description": "Server-defined set of error codes.",
                    "type": "string"
                  },
                  "message": {
                    "description": "Human-readable representation of the error.",
                    "type": "string"
                  },
                  "target": {
                    "description": "Target of the error.",
                    "type": "string"
                  },
                  "details": {
                    "description": "Array of details about specific errors that led to this reported error.",
                    "type": "array"
                  }
                }
              }
            },
            "externalDocs": {
              "description": "Find out more about Swagger",
              "url": "http://swagger.io"
            },
            "host": "addon.azurewebsites.net",
            "info": {
              "contact": {
                "email": "apiteam@swagger.io"
              },
              "description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
              "license": {
                "name": "Apache 2.0",
                "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
              },
              "termsOfService": "http://swagger.io/terms/",
              "title": "Swagger Petstore",
              "version": "1.0.6"
            },
            "schemes": [
              "https"
            ],
            "swagger": "2.0"
          }
        },
        "accessFBApplicationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "accessFBApplicationName": "solution provider 1",
        "saaSApplicationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "actionIds": [
          "actionId1"
        ],
        "roleId": "role1",
        "roleName": "roleName1"
      },
      "name": "bayerAgPowered.gdu"
    }
  ]
}

Définitions

Nom Description
createdByType

Type d’identité qui a créé la ressource.

DataManagerForAgricultureSolution

Ressource de solution DataManagerForAgriculture.

DataManagerForAgricultureSolutionListResponse

La réponse paginée contient la liste des objets demandés et un lien d’URL pour obtenir le jeu de résultats suivant.

DataManagerForAgricultureSolutionProperties

Propriétés DataManagerForAgricultureSolution.

ErrorAdditionalInfo

Informations supplémentaires sur l’erreur de gestion des ressources.

ErrorDetail

Détail de l’erreur.

ErrorResponse

Réponse d’erreur

MarketplaceOfferDetails
systemData

Métadonnées relatives à la création et à la dernière modification de la ressource.

createdByType

Type d’identité qui a créé la ressource.

Valeur Description
User
Application
ManagedIdentity
Key

DataManagerForAgricultureSolution

Ressource de solution DataManagerForAgriculture.

Nom Type Description
id

string (arm-id)

ID de ressource complet pour la ressource. Par exemple, « /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} »

name

string

Nom de la ressource

properties

DataManagerForAgricultureSolutionProperties

Propriétés DataManagerForAgricultureSolution.

systemData

systemData

Métadonnées relatives à la création et à la dernière modification de la ressource.

type

string

Type de la ressource. Par exemple, « Microsoft.Compute/virtualMachines » ou « Microsoft.Storage/storageAccounts »

DataManagerForAgricultureSolutionListResponse

La réponse paginée contient la liste des objets demandés et un lien d’URL pour obtenir le jeu de résultats suivant.

Nom Type Description
$skipToken

string

Jeton utilisé pour récupérer la page suivante. Si la valeur est null, il n’existe aucune page supplémentaire.

nextLink

string

Lien de continuation (URI absolu) vers la page suivante des résultats de la liste.

value

DataManagerForAgricultureSolution[]

Liste des objets demandés.

DataManagerForAgricultureSolutionProperties

Propriétés DataManagerForAgricultureSolution.

Nom Type Description
accessFBApplicationId

string (uuid)

ID d’application de l’application mutualisée à utiliser par le partenaire pour accéder aux données Data Manager for Agriculture.

accessFBApplicationName

string

Nom de l’application mutualisée à utiliser par le partenaire pour accéder à Data Manager for Agriculture Data.

actionIds

string[]

Liste des Id d’action nécessaires pour que l’application multilocataire SaaS accède aux données fb pertinentes.

dataAccessScopes

string[]

Obtient l’étendue de l’accès aux données du gestionnaire de données pour l’agriculture requis pour le traitement de la demande de solution auprès du partenaire. Exemple : Pour gdd, ils peuvent avoir besoin de weatherScope et satelliteScope.

marketplaceOfferDetails

MarketplaceOfferDetails

openApiSpecsDictionary

Obtient le dictionnaire de documents Swagger version api pour capturer toutes les versions d’API de swagger exposées par le partenaire à Data Manager For Agriculture.

partnerId

string

ID du partenaire de solution.

partnerTenantId

string

ID de locataire du partenaire de solution.

roleId

string

ID de rôle de l’application multilocataire SaaS pour accéder aux données fb pertinentes.

roleName

string

Nom du rôle de l’application multilocataire SaaS pour accéder aux données fb pertinentes.

saaSApplicationId

string

ID d’application de l’application multilocataire SaaS.

ErrorAdditionalInfo

Informations supplémentaires sur l’erreur de gestion des ressources.

Nom Type Description
info

object

Informations supplémentaires.

type

string

Type d’informations supplémentaire.

ErrorDetail

Détail de l’erreur.

Nom Type Description
additionalInfo

ErrorAdditionalInfo[]

Informations supplémentaires sur l’erreur.

code

string

Code d’erreur.

details

ErrorDetail[]

Détails de l’erreur.

message

string

Message d’erreur.

target

string

Cible d’erreur.

ErrorResponse

Réponse d’erreur

Nom Type Description
error

ErrorDetail

Objet d’erreur.

MarketplaceOfferDetails

Nom Type Description
publisherId

string

saasOfferId

string

systemData

Métadonnées relatives à la création et à la dernière modification de la ressource.

Nom Type Description
createdAt

string (date-time)

Horodatage de la création de ressources (UTC).

createdBy

string

Identité qui a créé la ressource.

createdByType

createdByType

Type d’identité qui a créé la ressource.

lastModifiedAt

string (date-time)

Horodatage de la dernière modification de ressource (UTC)

lastModifiedBy

string

Identité qui a modifié la ressource pour la dernière fois.

lastModifiedByType

createdByType

Type d’identité qui a modifié la ressource pour la dernière fois.